Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Problem building with Tycho - can't resolve eclipselabs unit testing bundle - SOLVED
Problem building with Tycho - can't resolve eclipselabs unit testing bundle - SOLVED [message #912065] Wed, 12 September 2012 21:58 Go to next message
Scott Finnie is currently offline Scott Finnie
Messages: 78
Registered: October 2011
Member
Apologies, new to tycho and maven.

Trying to build update site for my xtext project using tycho. Project uses the eclipse labs unit testing framework; works in the IDE fine but causes tycho to barf:

Unable to satisfy dependency from org.domainmodels.ooa 0.0.1 to bundle org.eclipselabs.xtext.utils.unittesting 0.0.0.


Guessing I just need to tell maven where/how to find the bundle...just don't know where/how to do that.

Would appreciate pointer. Thanks.

[Updated on: Wed, 12 September 2012 22:17]

Report message to a moderator

Re: Problem building with Tycho - can't resolve eclipselabs unit testing bundle - SOLVED [message #912074 is a reply to message #912065] Wed, 12 September 2012 22:21 Go to previous message
Scott Finnie is currently offline Scott Finnie
Messages: 78
Registered: October 2011
Member
Solved as follows:

In root pom.xml, added a new property:

  <properties>
    <!-- other properties... />
    <eclipselabs-site>http://xtext-utils.eclipselabs.org.codespot.com/git.distribution/releases/unittesting-0.9.x</eclipselabs-site>
  </properties>


..and a repo that uses it:

  <repositories>
    <!-- other repos...>
    <repository>
      <id>eclipselabs</id>
      <layout>p2</layout>
      <url>${eclipselabs-site}</url>
    </repository>
  </repositories>


Then re-ran mvn clean & all worked ok.
Previous Topic:Creating a Graphiti editor on top of Xtext editor
Next Topic:Problem with contentassist antlr in ui project
Goto Forum:
  


Current Time: Fri Sep 19 01:49:54 GMT 2014

Powered by FUDForum. Page generated in 0.01566 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software